//**************************************************************************************
//GLOBAL VARIABLES
//**************************************************************************************
//namespace references
var svgNS = "http://www.w3.org/2000/svg";
//
var textTipps =new Array ("textTipp1","textTipp2","textTipp3","textTipp4","textTipp5","textTipp6");
//selection lists
var sLselections0 = new Array('Arial', 'Verdana' ,'Helvetica','Comic ');
var sLselections1 = new Array('black', 'green' ,'blue','red','yellow','orange','purple');
//Font attributes
var fontFamilyValue;
var fontColourValue;
var valueSize;
var valueSpace;
//**************************************************************************************
// INITIALIZING VALUES
//**************************************************************************************

function initMap(evt){
	svgdoc = evt.target.ownerDocument;
	svgSVGObj = svgdoc.getDocumentElement();
	var textboxSize = new textbox(730,130,60,15,0,0,16,6,45,"textbox","textCursor","inputText","textbox1",0);
	var textboxSpace = new textbox(730,164,60,15,0,0,0,6,45,"textbox","textCursor","inputText","textbox2",0);
	//usage:textbox(x,y,boxWidth,boxHeight,rx,ry,defaultVal,minBorder,maxBorder,boxCSSclass,textCSSclass,cursorCSSclass,groupId,controlObjectId) {

	sLcreateSelectionList(0,60,700,90,3,0,'getFontFamily');
	sLcreateSelectionList(1,60,700,192,3,0,'getFontColour');
	/*usage: createSelectionList(IndexToStringArray,width,xOffset,yOffset,height(nrOfELements),nrToPreSelect(zero-based!),functionName);
	create an empty group width Id 'sLselectionBox0+indexNr'*/
	
	svgdoc.getElementById("textTipp").setAttribute("style","fill:"+sLselections1[0]+"; font-family:'"+sLselections0[0]+"';font-size:16;letter-spacing:0;")
		
	}
//**************************************************************************************
// Changing the colour of text by rollover
//**************************************************************************************	
function changeColour(evt){

    var tabId =evt.getTarget().getAttribute("id");
    var textId = tabId.replace("Frame", "");
   
    if (evt.type =="mouseover"){
        svgdoc.getElementById(textId).setAttribute("style", "font-family:'Arial';font-size:14;fill:rgb(181,214,221)");
    }        
    if(evt.type == "mouseout"){
         svgdoc.getElementById(textId).setAttribute("style", "font-family:'Arial';font-size:14;fill:rgb(19,99,145)");
    }
}
//**************************************************************************************
// Changing tabs and advices
//**************************************************************************************	
function changeTab(targetNode,nodeToMove,tipp1,tipp2,tipp3, tipp4, tipp5,tipp6,comment1, comment2){
//***********************************CHANGE TAB****************************************
		//targetNode Gruppe, in der verschoben wird
    //nodeToMove Knoten der verschoben wird
    var parentNodeId = svgdoc.getElementById(targetNode);
    var currentObjectId = svgdoc.getElementById(nodeToMove);
    parentNodeId.removeChild(currentObjectId);
    parentNodeId.appendChild(currentObjectId);
    
    //**********************************CHANCE ADVICE*************************************
    
 
    var tipp = new Array (tipp1, tipp2, tipp3, tipp4, tipp5,tipp6);

    for (var j=0; j<textTipps.length; j++) {
          svgdoc.getElementById(textTipps[j]).firstChild.setData(" ");
          svgdoc.getElementById(textTipps[j]).firstChild.appendData(tipp[j]);
           }
    svgdoc.getElementById("fontImage").setAttribute("xlink:href"," ");
    svgdoc.getElementById("textTipp").setAttribute("style","fill:"+sLselections1[0]+"; font-family:'"+sLselections0[0]+"';font-size:16;letter-spacing:0;")
		svgdoc.getElementById("comment1").firstChild.setData(comment1);
		svgdoc.getElementById("comment2").firstChild.setData(comment2);
	if(nodeToMove == "cartoHelperTab"){
		getDrawingElements();
		}
	else{
		deleteDrawingElements();
	}
	if(nodeToMove=="specialEffectTab"){
		svgdoc.getElementById("startText").firstChild.setData("This is text without special effects!")
		}
	else{
		svgdoc.getElementById("startText").firstChild.setData("")
		}
}
//**************************************************************************************
// Getting the Image by onclick
//**************************************************************************************	
function getImage(evt){
	svgdoc.getElementById("startText").firstChild.setData("")
   var buttonId=evt.target.getAttribute("id");
   var imageName=buttonId.replace("button","")
   var imageSource= "images/"+imageName+".png";
   svgdoc.getElementById("fontImage").setAttribute("xlink:href",imageSource);
  // svgdoc.getElementById("textTipp").setAttribute("visibility","hidden");
     for (var j=0; j<textTipps.length; j++) {
     
     svgdoc.getElementById(textTipps[j]).firstChild.setData(" ");
     }
}
//**************************************************************************************
// apply basic settings
//**************************************************************************************	
function applyFontSettings(text1,text2){
	valueSize = svgdoc.getElementById(text1).firstChild.nodeValue;
	valueSpace = svgdoc.getElementById(text2).firstChild.nodeValue;
	var error1 ="Size value is not valid! Enter a value between 6 and 50!\n";
	var error2 ="Letter Space value is  is not valid! Enter a value between -10 and 20!";
	if((valueSize>50 || valueSize<6)&& (valueSpace>=-10 && valueSpace<=10)){
		alert (error1);
		}
	else if((valueSize>50 || valueSize<6)&& (valueSpace<-10 || valueSpace>10)){
		alert (error1+""+error2);
		}
	else if((valueSize<=50 && valueSize>=6)&& (valueSpace<-10 && valueSpace>10)){
		alert (error2);
		}
	else{
		svgdoc.getElementById("textTipp").setAttribute("style","fill:"+fontColourValue+"; font-family:'"+fontFamilyValue+"';font-size:"+valueSize+";letter-spacing:"+valueSpace+";")
		}	
	}
	function getFontFamily(indexNr,listNr){
		fontFamilyValue = sLselections0[indexNr];
		}
	function getFontColour(indexNr,listNr){
		fontColourValue = sLselections1[indexNr];
		}
function getDrawingElements(){
	svgdoc.getElementById("riverPath").setAttribute("xlink:href","#river");
	svgdoc.getElementById("notAlignedText").firstChild.setData("Hudson River");
	svgdoc.getElementById("groupBorder").setAttribute("visibility","visible");
	svgdoc.getElementById("groupFrame").setAttribute("visibility","visible");
}
function deleteDrawingElements(){
	svgdoc.getElementById("riverPath").setAttribute("xlink:href"," ");
	svgdoc.getElementById("notAlignedText").firstChild.setData(" ");
	svgdoc.getElementById("groupBorder").setAttribute("visibility","hidden");
	svgdoc.getElementById("groupFrame").setAttribute("visibility","hidden");
	svgdoc.getElementById("groupFrameTest").setAttribute("visibility","hidden");
	svgdoc.getElementById("groupBorderTest").setAttribute("visibility","hidden");
svgdoc.getElementById("pathAlignedText").firstChild.setData("");
	}
function getHelper(evt, onText, offText, type){
	textId=evt.target.getAttribute("id").replace("button","");
	textContent=svgdoc.getElementById(textId).firstChild.nodeValue;
	if(textContent == onText){
		svgdoc.getElementById(textId).firstChild.setData(offText);
		
		if(type=="align"){
			svgdoc.getElementById("notAlignedText").firstChild.setData("");
			svgdoc.getElementById("pathAlignedText").firstChild.setData("Hudson River");
			}
		if(type=="Border" || type=="Frame"){
			svgdoc.getElementById(type).setAttribute("visibility","visible");
			svgdoc.getElementById(type+"Test").setAttribute("visibility","visible");
			svgdoc.getElementById("group"+type+"Test").setAttribute("visibility","visible");
			}
		}
	else{
		svgdoc.getElementById(textId).firstChild.setData(onText);
		
		if(type=="align"){
			svgdoc.getElementById("notAlignedText").firstChild.setData("Hudson River");
			svgdoc.getElementById("pathAlignedText").firstChild.setData("");
			}
			if(type=="Border" || type=="Frame"){
			svgdoc.getElementById(type).setAttribute("visibility","hidden");
			svgdoc.getElementById(type+"Test").setAttribute("visibility","hidden");
			svgdoc.getElementById("group"+type+"Test").setAttribute("visibility","hidden");
			}
		}

	}
	