//**************************************************************************************
//GLOBAL VARIABLES
//**************************************************************************************
// SelectionList und Textbox von http://www.carto.net/papers/svg/gui/
//namespace references
var svgNS = "http://www.w3.org/2000/svg";
//
var textTipps =new Array("textTipp1","textTipp2","textTipp3","textTipp4","textTipp5","textTipp6");
//selection lists

//Font attributes
var fontFamilyValue;
var fontColourValue;
var valueSize;
var valueSpace;



//**************************************************************************************
// INITIALIZING VALUES
//**************************************************************************************

function initMap(evt){
	myMapApp = new mapApp();
	svgdoc = evt.target.ownerDocument;
	svgdoc = document.getElementById("host");
	// svgSVGObj = svgdoc.getDocumentElement(); //auskommentiert weil svgSVGObj nirgens sonst vorkommt

	var textStyles = {"font-family":"Arial,Helvetica","font-size":12,"fill":"black"};
	var boxStyles = {"fill":"white","stroke":"orange","stroke-width":0.8};
	var cursorStyles = {"stroke":"red","stroke-width":1.5};
	var selBoxStyles = {"fill":"red","opacity":0.5};
	
  
	var selBoxtextStyles = {"font-family":"Arial","font-size":11,"fill":"black"};
	var selBoxStyles = {"stroke":"orange","stroke-width":0.8,"fill":"white"};
	var selBoxScrollbarStyles = {"stroke":"orange","stroke-width":0.8,"fill":"white"};
	var selBoxSmallrectStyles = {"stroke":"orange","stroke-width":0.8,"fill":"white"};
	var selBoxHighlightStyles = {"fill":"#DDDDDD","fill-opacity":0.7};
	var selBoxTriangleStyles = {"fill":"red"};	
	sLselections0 = new Array('Arial', 'Verdana' ,'Courier','Times');
	sLselections1 = new Array('black', 'green' ,'blue','red','yellow','orange','purple');
  sLselections2 = new Array();
  // Arrays mit Zahlen befllen
  for (var i=6;i<=50;i=i+2){
    sLselections2[(i-6)/2] = i;
  }
	sLselections3 = new Array();
  for (var i=-10;i<=10;i=i+2){
    sLselections3[(i+10)/2] = i;
  }
  
	SellectionListFontFamily = new selectionList('SellectionListFontFamily','SellectionListFontFamily',sLselections0,65,698,89,16,2,sLselections0.length,selBoxtextStyles,selBoxStyles,selBoxScrollbarStyles,selBoxSmallrectStyles,selBoxHighlightStyles,selBoxTriangleStyles,3,false,true,getFontFamily);
	SellectionListFontColour = new selectionList('SellectionListFontColour','SellectionListFontColour',sLselections1,65,698,193,16,2,sLselections1.length,selBoxtextStyles,selBoxStyles,selBoxScrollbarStyles,selBoxSmallrectStyles,selBoxHighlightStyles,selBoxTriangleStyles,3,false,true,getFontColour);
	SellectionListFontSize = new selectionList('SellectionListFontSize','SellectionListFontSize',sLselections2,65,698,122,16,2,10,selBoxtextStyles,selBoxStyles,selBoxScrollbarStyles,selBoxSmallrectStyles,selBoxHighlightStyles,selBoxTriangleStyles,6,false,true,getFontSize);
	SellectionListFontSpace = new selectionList('SellectionListFontSpace','SellectionListFontSpace',sLselections3,65,698,156,16,2,5,selBoxtextStyles,selBoxStyles,selBoxScrollbarStyles,selBoxSmallrectStyles,selBoxHighlightStyles,selBoxTriangleStyles,5,false,true,getFontSpace);
	//usage:selectionList(id,parentNode,elementsArray,width,xOffset,yOffset,cellHeight,textPadding,heightNrElements,textStyles,boxStyles,scrollbarStyles,smallrectStyles,highlightStyles,triangleStyles,preSelect,openAbove,putOnTopOfParent,functionToCall) 
  
	svgdoc.getElementById("textTipp").setAttributeNS(null,"style","fill:"+sLselections1[0]+"; font-family:'"+sLselections0[0]+"';font-size:16;letter-spacing:0;")
		
	}
//**************************************************************************************
// Changing the colour of text by rollover
//**************************************************************************************	
function changeColour(evt){
    var tabId =evt.target.getAttributeNS(null,"id");
    var textId = tabId.replace("Frame", "");
   
    if (evt.type =="mouseover"){
        svgdoc.getElementById(textId).setAttributeNS(null,"style", "font-family:'Arial';font-size:14;fill:#F6BE20");
    }        
    if(evt.type == "mouseout"){
         svgdoc.getElementById(textId).setAttributeNS(null,"style", "font-family:'Arial';font-size:14;fill:#F46618");
    }
}
//**************************************************************************************
// Changing tabs and advices
//**************************************************************************************	
function changeTab(targetNode,nodeToMove,tipp1,tipp2,tipp3, tipp4, tipp5,tipp6,comment1, comment2){
//***********************************CHANGE TAB****************************************
		//targetNode Gruppe, in der verschoben wird
    //nodeToMove Knoten der verschoben wird
    var parentNodeId = svgdoc.getElementById(targetNode);
    var currentObjectId = svgdoc.getElementById(nodeToMove);
    parentNodeId.removeChild(currentObjectId);
    parentNodeId.appendChild(currentObjectId);
    // Bild ausschalten
    svgdoc.getElementById("fontImage").setAttribute("display","none");
    
    //**********************************CHANCE ADVICE*************************************
 
    var tipp = new Array(tipp1, tipp2, tipp3, tipp4, tipp5,tipp6);

    for (var j=0; j<6; j++) {
      svgdoc.getElementById(textTipps[j]).firstChild.nodeValue = tipp[j];
    }
    svgdoc.getElementById("textTipp").setAttributeNS(null,"fill",'black');
    svgdoc.getElementById("textTipp").setAttributeNS(null,"font-family",'Arial');
    svgdoc.getElementById("textTipp").setAttributeNS(null,"font-size",18);
    svgdoc.getElementById("textTipp").setAttributeNS(null,"letter-spacing",0);
		svgdoc.getElementById("comment1").firstChild.nodeValue = comment1;
		svgdoc.getElementById("comment2").firstChild.nodeValue = comment2;
	if(nodeToMove == "cartoHelperTab"){
		getDrawingElements();
  }else{
		deleteDrawingElements();
	}
	if(nodeToMove=="specialEffectTab"){
		svgdoc.getElementById("startText").firstChild.data = "This is text without special effects!";
	}
	else{
		svgdoc.getElementById("startText").firstChild.data = "";
  }
}
//**************************************************************************************
// Getting the Image by onclick
//**************************************************************************************	
function getImage(evt){
	svgdoc.getElementById("startText").firstChild.data = ""
  var buttonId=evt.currentTarget.getAttribute("id");
  var imageName=buttonId.replace("button","")
  var imageSource= "images/"+imageName+".png";
  svgdoc.getElementById("fontImage").setAttribute("xlink:href",imageSource);
  svgdoc.getElementById("fontImage").setAttribute("display","inherit");
  // svgdoc.getElementById("textTipp").setAttributeNS(null,"visibility","hidden");
  for (var j=0; j<textTipps.length; j++) {
    svgdoc.getElementById(textTipps[j]).firstChild.data = " ";
  }
}
//**************************************************************************************
// apply basic settings
//**************************************************************************************	
function applyFontSettings(text1,text2){
	valueSize = SellectionListFontSize.getCurrentSelectionElement().toString();
	valueSpace = SellectionListFontSpace.getCurrentSelectionElement().toString();
	
  // Werte anwenden
  fontColourValue='#00FF00';
  fontFamilyValue='Courier';
  getFontFamily();
  getFontColour();
  // Farbe und Schriftart via Style
  var style ="fill:" + fontColourValue + ";font-family:" + fontFamilyValue + ";";
  svgdoc.getElementById("textTipp").setAttributeNS(null,"style",style)
  // Letter-Spacing und Schriftgrsse direkt
  svgdoc.getElementById("textTipp").setAttributeNS(null,"letter-spacing",valueSpace)
  svgdoc.getElementById("textTipp").setAttributeNS(null,"font-size",valueSize)
	}
  
	function getFontFamily(indexNr,listNr){
		fontFamilyValue = SellectionListFontFamily.getCurrentSelectionElement();
		}
	function getFontColour(indexNr,listNr){
		fontColourValue = SellectionListFontColour.getCurrentSelectionElement();
		}
	function getFontSize(indexNr,listNr){
		fontSizeValue = SellectionListFontSize.getCurrentSelectionElement();
		}
	function getFontSpace(indexNr,listNr){
		fontSpaceValue = SellectionListFontSpace.getCurrentSelectionElement();
		}
    
    
function getDrawingElements(){
	svgdoc.getElementById("riverPath").setAttribute("xlink:href","#river");
	svgdoc.getElementById("notAlignedText").firstChild.data= "Hudson River";
	svgdoc.getElementById("groupBorder").setAttributeNS(null,"visibility","visible");
	svgdoc.getElementById("groupFrame").setAttributeNS(null,"visibility","visible");
}
function deleteDrawingElements(){
	svgdoc.getElementById("riverPath").setAttribute("xlink:href"," ");
	svgdoc.getElementById("notAlignedText").firstChild.data = " ";
	svgdoc.getElementById("groupBorder").setAttributeNS(null,"visibility","hidden");
	svgdoc.getElementById("groupFrame").setAttributeNS(null,"visibility","hidden");
	svgdoc.getElementById("groupFrameTest").setAttributeNS(null,"visibility","hidden");
	svgdoc.getElementById("groupBorderTest").setAttributeNS(null,"visibility","hidden");
  svgdoc.getElementById("pathAlignedText").childNodes[0].nodeValue = "";
	}
function getHelper(evt, onText, offText, type){
	textId=evt.currentTarget.getAttribute("id").replace("button","");
	textContent=svgdoc.getElementById(textId).firstChild.nodeValue;
	if(textContent == onText){
		svgdoc.getElementById(textId).firstChild.data = offText;
		
		if(type=="align"){
			svgdoc.getElementById("notAlignedText").firstChild.data = "";
			svgdoc.getElementById("pathAlignedText").childNodes[0].nodeValue = "Hudson River";
			}
		if(type=="Border" || type=="Frame"){
			svgdoc.getElementById(type).setAttributeNS(null,"visibility","visible");
			svgdoc.getElementById(type+"Test").setAttributeNS(null,"visibility","visible");
			svgdoc.getElementById("group"+type+"Test").setAttributeNS(null,"visibility","visible");
			}
		}
	else{
		svgdoc.getElementById(textId).firstChild.data = onText;
		
		if(type=="align"){
			svgdoc.getElementById("notAlignedText").firstChild.data = "Hudson River";
			svgdoc.getElementById("pathAlignedText").firstChild.data = "";
			}
			if(type=="Border" || type=="Frame"){
			svgdoc.getElementById(type).setAttributeNS(null,"visibility","hidden");
			svgdoc.getElementById(type+"Test").setAttributeNS(null,"visibility","hidden");
			svgdoc.getElementById("group"+type+"Test").setAttributeNS(null,"visibility","hidden");
			}
		}

	}